import { world, system } from "@minecraft/server";

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const ride = player.getComponent("minecraft:riding");
        const ridingEntity = ride?.entityRidingOn;
        
        if (ridingEntity.typeId === 'minecraft:horse') {
            player.sendMessage("riding a horse");
        }
    }
}, 1);