import { world, system } from "@minecraft/server"
//////Inputs/////
/*const setActionBar = (player) => player?.onScreenDisplay.setActionBar('Speedometer\nVehicle Name ${ridingEntity.typeId} \nFuel:');*/
const clearCamera = (player) => player?.runCommandAsync('camera @s clear');
const cameraPositions = {
    'simple_vehicles:bus': { pos: '~ ~10 ~-5', rot: '~ ~' },
    'simple_vehicles:tiltrotor': { pos: '~ ~6 ~-10', rot: '~ ~' },
    'simple_vehicles:rocket_v': { pos: '~ ~5 ~', rot: '~ ~' },
    'simple_vehicles:private_plane': { pos: '~ ~6 ~-7', rot: '~ ~' },
    'simple_vehicles:plane': { pos: '~ ~5 ~-10', rot: '~ ~' },
    'simple_vehicles:gliding_plane': { pos: '~ ~5 ~-10', rot: '~ ~' },
    'simple_vehicles:helicopter': { pos: '~ ~5 ~-10', rot: '~30 ~' },
};




/////WORLD en ENTITY SYSTEMAS//////////
/////WORLD en ENTITY SYSTEMAS//////////
system.runInterval(() => {
    for (const { player, ride } of world.getPlayers().map(p => ({ player: p, ride: p.getComponent("minecraft:riding") }))) {
        const ridingEntity = ride?.entityRidingOn;
        if (ridingEntity && cameraPositions[ridingEntity.typeId]) {
            player.runCommandAsync(`camera @s set minecraft:free ease 5 spring pos ${cameraPositions[ridingEntity.typeId].pos} rot ${cameraPositions[ridingEntity.typeId].rot}`);
            /*setActionBar(player);*/
        } else {
            clearCamera(player);
        }
    }
}, 1);



/////Thanks to coddy2009 for this////
/*system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const ride = player.getComponent("minecraft:riding");
        const ridingEntity = ride?.entityRidingOn;

        if (ridingEntity.typeId === 'simple_vehicles:bus') {
            player?.runCommandAsync('camera @s set minecraft:free ease 0.3 linear pos ~ ~10 ~ rot ~ ~')
            player?.onScreenDisplay.setActionBar('Speedometer')
        }
        if (ridingEntity.typeId === 'simple_vehicles:tiltrotor') {
            player?.runCommandAsync('camera @s set minecraft:free ease 0.3 linear pos ~ ~3 ~-5 rot ~ ~')
            player?.onScreenDisplay.setActionBar('Speedometer')
        } 
        else {
            player.runCommandAsync('camera @s clear')
        }
    }
}, 1);*/